public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anna Vyalkova" <cyber+gentoo@sysrq.in>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/psautohint/
Date: Wed,  1 Jun 2022 05:03:02 +0000 (UTC)	[thread overview]
Message-ID: <1654059765.50debcbf2f1e588edb4f3710aac5463909ec5149.cybertailor@gentoo> (raw)

commit:     50debcbf2f1e588edb4f3710aac5463909ec5149
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Wed Jun  1 01:50:18 2022 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Wed Jun  1 05:02:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=50debcbf

dev-util/psautohint: fix tests

Closes: https://bugs.gentoo.org/816507
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-util/psautohint/Manifest                |  2 +-
 dev-util/psautohint/psautohint-2.4.0.ebuild | 33 +++++++++++++++++------------
 2 files changed, 21 insertions(+), 14 deletions(-)

diff --git a/dev-util/psautohint/Manifest b/dev-util/psautohint/Manifest
index 34b1b4a4e..1463268e7 100644
--- a/dev-util/psautohint/Manifest
+++ b/dev-util/psautohint/Manifest
@@ -1,2 +1,2 @@
-DIST psautohint-2.4.0.tar.gz 181009 BLAKE2B bb6ed5ae6b800742d8d1061004bfb49a84e3b9c99977a653ef8eeccf38d9c03261be5b735df20ee93dcf712b8b6ade7a2391937f327206fc2e01f2b5bcbe9022 SHA512 dfc29d020bedf8bd546e395743befb390e9fb01a3025aa10357a32724c9a78236acd57e05300aa26be630c9d43edab8bda731dc4f51c0a07d0bef79112d952aa
+DIST psautohint-2.4.0.gh.tar.gz 181009 BLAKE2B bb6ed5ae6b800742d8d1061004bfb49a84e3b9c99977a653ef8eeccf38d9c03261be5b735df20ee93dcf712b8b6ade7a2391937f327206fc2e01f2b5bcbe9022 SHA512 dfc29d020bedf8bd546e395743befb390e9fb01a3025aa10357a32724c9a78236acd57e05300aa26be630c9d43edab8bda731dc4f51c0a07d0bef79112d952aa
 DIST psautohint-testdata-1e4c5061d328105c4dcfcb6fdbc27ec49b3e9d23.tar.gz 21949984 BLAKE2B a5da67eb4b9f3d0ce5d86469bc0a5f771fa743198836db35121e9c62b66c8b8df00fef6e40e8832e33aee065fe3bdd0a24d1b590bce6fb66d7c43f6719236242 SHA512 03d4962958d3551ffdf99463d28723f6b43d42029843da1b40493b0bfc2e586ebf40db3a2497b36b5fde345de4b6998cfc1131c6fb4e8352b05fb59fc4e90e7f

diff --git a/dev-util/psautohint/psautohint-2.4.0.ebuild b/dev-util/psautohint/psautohint-2.4.0.ebuild
index 675b06317..9d1dc2d01 100644
--- a/dev-util/psautohint/psautohint-2.4.0.ebuild
+++ b/dev-util/psautohint/psautohint-2.4.0.ebuild
@@ -16,9 +16,9 @@ HOMEPAGE="
 	https://pypi.org/project/psautohint/
 "
 SRC_URI="
-	https://github.com/adobe-type-tools/psautohint/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/adobe-type-tools/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz
 	test? (
-		https://github.com/adobe-type-tools/psautohint-testdata/archive/${COMMIT}.tar.gz -> psautohint-testdata-${COMMIT}.tar.gz
+		https://github.com/adobe-type-tools/${PN}-testdata/archive/${COMMIT}.tar.gz -> psautohint-testdata-${COMMIT}.tar.gz
 	)
 "
 KEYWORDS="~amd64"
@@ -32,7 +32,6 @@ RDEPEND="
 	dev-python/fs[${PYTHON_USEDEP}]
 	dev-python/lxml[${PYTHON_USEDEP}]
 "
-DEPEND="${RDEPEND}"
 
 PATCHES=(
 	"${FILESDIR}/${PN}-bininpath.diff"
@@ -40,6 +39,15 @@ PATCHES=(
 	"${FILESDIR}/${PN}-2.3.0-no-werror.patch"
 )
 
+EPYTEST_DESELECT=(
+	tests/integration/test_hint.py::test_hashmap_old_version
+	tests/integration/test_hint.py::test_mute_tx_msgs
+	tests/integration/test_hint.py::test_type1_supported
+	tests/integration/test_mmhint.py::test_vfotf
+	tests/integration/test_cli.py::test_multi_outpath
+	tests/integration/test_cli.py::test_multi_different_formats
+)
+
 distutils_enable_tests pytest
 
 pkg_setup() {
@@ -50,9 +58,14 @@ pkg_setup() {
 
 src_unpack() {
 	default
-	if [ -d "${WORKDIR}/psautohint-testdata-${COMMIT}" ]; then
-		mv "${WORKDIR}/psautohint-testdata-${COMMIT}"/* "${S}/tests/integration/data/" || die
-	fi
+	mv "${WORKDIR}"/psautohint-testdata-${COMMIT}/* "${S}"/tests/integration/data || die
+}
+
+python_prepare_all() {
+	# error: unrecognized arguments: -n
+	sed "/^  /d" -i pytest.ini || die
+
+	distutils-r1_python_prepare_all
 }
 
 src_configure() {
@@ -80,11 +93,5 @@ python_test() {
 	local -x PATH="${BUILD_DIR}/test/scripts:${MESON_BUILD_DIR}l:${PATH}"
 	local -x LD_LIBRARY_PATH="${MESON_BUILD_DIR}"
 	distutils_install_for_testing
-	epytest -vv \
-		--deselect tests/integration/test_hint.py::test_hashmap_old_version \
-		--deselect tests/integration/test_mmhint.py::test_vfotf[tests/integration/data/vf_tests/CJKSparseVar.subset.hinted.otf] \
-		--deselect tests/integration/test_mmhint.py::test_vfotf[tests/integration/data/vf_tests/bug816.hinted.otf] \
-		--deselect tests/integration/test_cli.py::test_multi_outpath \
-		--deselect tests/integration/test_cli.py::test_multi_different_formats \
-		|| die
+	epytest
 }


             reply	other threads:[~2022-06-01  5:03 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-01  5:03 Anna Vyalkova [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-06-02  8:17 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/psautohint/ Alessandro Barbieri
2022-05-29 21:04 Alessandro Barbieri
2022-05-29 21:04 Alessandro Barbieri
2022-03-19  1:35 Alessandro Barbieri
2021-10-03 22:55 Alessandro Barbieri
2021-07-06  1:08 Alessandro Barbieri
2021-06-19 21:53 Alessandro Barbieri
2021-06-18  2:16 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654059765.50debcbf2f1e588edb4f3710aac5463909ec5149.cybertailor@gentoo \
    --to=cyber+gentoo@sysrq.in \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox